Create Test Execution
Trigger test execution(s) for a given project.
Scope determines which fields are required:
scope=TEST— provide atestsarray of test file names (each ending in.test.yaml).scope=PIPELINE— provide apipelinesarray of pipeline file names (each ending in.orch.yamlor.tran.yaml). All tests associated with those pipelines will run.scope=PROJECT— runs every test in the project; notestsorpipelinesfield needed.
environmentName is always required. versionName, executionTag, and agentId are optional and work with any scope.
Authorizations
a valid bearer token
Path Parameters
Body
The environment to execute tests in
255"environment1"
Execution scope: TEST, PIPELINE, or PROJECT
TEST, PIPELINE, PROJECT "TEST"
Optional agent ID. If not specified, the default agent for the environment will be used
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
Optional tag to control execution concurrency
255"nightly"
Pipelines whose associated tests to execute (required when scope=PIPELINE)
500Tests to execute (required when scope=TEST)
500Optional artifact version name to execute tests against
255"v1.2.3"
Response
Test execution created
Server-generated identifier for the test execution
"1398aa31-af57-4a6a-9752-27c2e8556c3f"
